
//
//   Programa elaborado por Genaro Juarez Martinez
//   e-mail: genaro@enigma.red.cinvestav.mx
//           genarojm@correo.unam.mx
//   Area: Automatas Celulares
//   CINVESTAV-IPN
//   Noviembre 2003
//   http://delta.cs.cinvestav.mx/~mcintosh
//

#import "operations.h"
int SIZE;
int RING;
int LINES;
int counter;
int initial_ring[1280];
int evolution[1280][1024];
int neighborhood[8];
int posY = 0;
int first = 1;
int contador[80],xx=0;

void asignar_fase(int *fase, int longitud)
{
    int i;

    for(i=0;i<longitud;i++)
        initial_ring[posY+i] = fase[i];
    posY = posY + longitud;
    contador[xx] = longitud;
    xx++;
}

// Convierte decimal en binario
int rule_binary(int ruleaux)
{
    int modulo;
    int divisor;
    int i=0;
    do
      {
          modulo = fmod(ruleaux,2);
          divisor = ruleaux/2;
          neighborhood[i] = modulo;
          ruleaux = divisor;
          i++;
      }while(i<8);
    return 0;
}

// Reviza frontera izquierda
int check_left(int k,int ring)
{
    int help;
    help = k;
    if(k<0)
        help = ring - 1;
    if(k>ring-1)
        help = k - ring;
    return(help);
}

// Reviza frontera derecha
int check_right(int k,int ring)
{
    if(k>ring-1)
        k -= ring;
    return(k);
}


@implementation operations

// Configuracion aleatoria
-(void)initialconfiguration:(int)ring
{
    int i;
    float y;
    float flag=0;
    time_t seconds;

    posY = 0;
    first = 1;
    flag = [density floatValue];
    time(&seconds);
    srand((unsigned)(seconds % 65536));
    for(i=0;i<ring;i++)
      {
        y = rand()/pow(2,15);
        if(y>flag)
            initial_ring[i] = 0;
        else
            initial_ring[i] = 1;
      }
}

// Capturar configuracion inicial
-(int)captureConfigurationInitial:(int)column
{
    return initial_ring[column];
}

// Tamano de la celula
-(int)sizeCell:(int)ring:(int)lines
{
    [self sizeCells:ring:lines];
    return SIZE;
}

// RING recalculado
-(int)newRing
{
    return RING;
}

// LINES recalculado
-(int)newLines
{
    return LINES;
}

// Determina el tamano de celula
-(void)sizeCells:(int)ring:(int)lines
{
    RING = ring;
    LINES = lines;
    SIZE = [size_cell intValue];
    /*Configuracion chica*/
    switch(SIZE)
      {
        case 1:
            ring=RING;
            lines=LINES;
            break;
        case 2:
            ring=RING/SIZE;
            lines=LINES/SIZE;
            break;
        case 3:
            ring=RING/SIZE;
            lines=LINES/SIZE;
            break;
        case 4:
            ring=RING/SIZE;
            lines=LINES/SIZE;
            break;
        case 5:
            ring=RING/SIZE;
            lines=LINES/SIZE;
            break;
        case 6:
            ring=RING/SIZE;
            lines=LINES/SIZE;
            break;
        case 7:
            ring=RING/SIZE;
            lines=LINES/SIZE;
            break;
        case 8:
            ring=RING/SIZE;
            lines=LINES/SIZE;
            break;
        case 9:
            ring=RING/SIZE;
            lines=LINES/SIZE;
            break;
        case 10:
            ring=RING/SIZE;
            lines=LINES/SIZE;
            break;
      }
    RING = ring;
    LINES = lines;
}

// Captura evolucion
-(int)captureEvolution:(int)row:(int)column
{
    return evolution[row][column];
}

// Calcular evolucion
-(void)makeEvolution:(int)ring:(int)lines
{
    int i;
    int j;
    int ruledec;
    int tmp;
    int aux[ring];

    counter = 0;
    ruledec = [rule_evolution intValue];
    rule_binary(ruledec);
    for(i=0;i<ring;i++)
        evolution[0][i] = aux[i] = initial_ring[i];
    // Calcula la evolucion
    for(i=1;i<lines;i++)
      {
        // Calcula la siguiente evolucion
        for(j=0;j<ring;j++)
          {
            tmp = aux[check_left(j-1,ring)]*4 + aux[j]*2 + aux[check_right(j+1,ring)];
            evolution[i][j] = neighborhood[tmp];
          }
        for(j=0;j<ring;j++)
            aux[j] = evolution[i][j];
      }
    [cells setIntValue:ring];
    [evolutions setIntValue:lines];
    counter = lines;
}

// Continuar la evolucion
-(void)evolutionContinue:(int)ring:(int)lines
{
    int i;
    int j;
    int ruledec;
    int tmp;
    int aux[ring];

    counter += lines;
    ruledec = [rule_evolution intValue];
    rule_binary(ruledec);
    for(i=0;i<ring;i++)
      {
        aux[i] = evolution[lines-1][i];
        evolution[0][i] = evolution[lines-1][i];
      }
    // Calcula la evolucion
    for(i=1;i<lines;i++)
      {
        // Calcula la siguiente evolucion
        for(j=0;j<ring;j++)
          {
            tmp = aux[check_left(j-1,ring)]*4 + aux[j]*2 + aux[check_right(j+1,ring)];
            evolution[i][j] = neighborhood[tmp];
          }
        for(j=0;j<ring;j++)
            aux[j] = evolution[i][j];
      }
    [cells setIntValue:ring];
    [evolutions setIntValue:counter];
}

// Limpia variables y el view
-(void)clearVar
{
    posY = 0;
    first = 1;
    xx = 0;
}

// Captura el glider activado
- (void)typeGlider:(int)numbertag:(int)ring
{
    int i;
    
    // Revisar que sea la primera vez
    if(first == 1)
      {
        first = 0;
        for(i=0;i<ring;i++)
            initial_ring[i] = 0;
      }
    if(posY < ring)
      {
        if(numbertag==0)
          {
            // ether [11111000100110] (14 cells, fase f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,14);
          }
        if(numbertag==1)
          {
            // glider A [111110] (6 cells, fase f1_1)
            int cadena[] = {1,1,1,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,6);
          }
        if(numbertag==2)
          {
            // glider A [11111000111000100110] (20 cells, fase f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,20);
          }
        if(numbertag==3)
          {
            // glider A [11111000100110100110] (20 cells, fase f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,20);
          }
        if(numbertag==4)
          {
            // glider B [11111010] (8 cells, fase f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,8);
          }
        if(numbertag==5)
          {
            // glider B [11111000] (8 cells, fase f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,8);
          }
        if(numbertag==6)
          {
            // glider B [1111100010011000100110] (22 cells, fase f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,22);
          }
        if(numbertag==7)
          {
            // glider B [11100110] (8 cells, fase f4_1)
            int cadena[] = {1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,8);
          }
        if(numbertag==8)
          {
            // glider Bbar [1111100010110111100110] (22 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,1,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,22);
          }
        if(numbertag==9)
          {
            // glider Bbar [1111100010011111110010] (22 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,1,1,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,22);
          }
        if(numbertag==10)
          {
            // glider Bbar [111110001001101100000101111000100110] (36 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,0,0,1,0,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,36);
          }
        if(numbertag==11)
          {
            // glider Bbar [1111110000111100100110] (22 cells, fase A,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,0,0,1,1,1,1,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,22);
          }
        if(numbertag==12)
          {
            // glider Bbar [1111100001000110010110] (22 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,0,0,1,1,0,0,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,22);
          }
        if(numbertag==13)
          {
            // glider Bbar [111110001000110011101111111000100110] (36 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,36);
          }
        if(numbertag==14)
          {
            // glider Bbar [111110001001100111011011100000100110] (36 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,1,0,1,1,0,1,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,36);
          }
        if(numbertag==15)
          {
            // glider Bbar [1110110111111010000110] (22 cells, fase B,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,1,1,1,1,1,0,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,22);
          }
        if(numbertag==16)
          {
            // glider Bbar [1111101111110000111000] (22 cells, fase C,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,1,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,22);
          }
        if(numbertag==17)
          {
            // glider Bbar [111110001110000100011010011000100110] (36 cells, fase C,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,0,0,0,1,1,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,36);
          }
        if(numbertag==18)
          {
            // glider Bbar [111110001001101000110011111011100110] (36 cells, fase C,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,0,1,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,36);
          }
        if(numbertag==19)
          {
            // glider Bbar [1111100111011000111010] (22 cells, fase C,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,0,1,1,0,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,22);
          }
        if(numbertag==20)
          {
            // glider Bbar8 [111110001011011110011001111111000100110] (39 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,1,1,1,1,0,0,1,1,0,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==21)
          {
            // glider Bbar8 [111110001001111111001011101100000100110] (39 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,1,1,0,0,1,0,1,1,1,0,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==22)
          {
            // glider Bbar8 [111110001001101100000101111011110000110] (39 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,1,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==23)
          {
            // glider Bbar8 [1111110000111100111001000] (25 cells, fase A,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,0,0,1,1,1,1,0,0,1,1,1,0,0,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,25);
          }
        if(numbertag==24)
          {
            // glider Bbar8 [111110000100011001011010110011000100110] (39 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,0,0,1,1,0,0,1,0,1,1,0,1,0,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==25)
          {
            // glider Bbar8 [111110001000110011101111111111011100110] (39 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,1,1,1,0,1,1,1,1,1,1,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==26)
          {
            // glider Bbar8 [111110001001101000110011111000011100110] (39 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,0,1,1,1,1,1,0,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==27)
          {
            // glider Bbar8 [1110110111111010000000110] (25 cells, fase B,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,1,1,1,1,1,0,1,0,0,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,25);
          }
        if(numbertag==28)
          {
            // glider Bbar8 [111110111111000011100000011111000100110] (39 cells, fase C,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,1,1,1,0,0,0,0,0,0,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==29)
          {
            // glider Bbar8 [111110001110000100011010000011000100110] (39 cells, fase C,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,0,0,0,1,1,0,1,0,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==30)
          {
            // glider Bbar8 [111110001001101000110011111000011100110] (39 cells, fase C,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,0,1,1,1,1,1,0,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==31)
          {
            // glider Bbar8 [1111100111011000100011010] (25 cells, fase C,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,0,1,1,0,0,0,1,0,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,25);
          }
        if(numbertag==32)
          {
            // glider C1 [111110000] (9 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,9);
          }
        if(numbertag==33)
          {
            // glider C1 [11111000100011000100110] (23 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,23);
          }
        if(numbertag==34)
          {
            // glider C1 [11111000100110011100110] (23 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,23);
          }
        if(numbertag==35)
          {
            // glider C1 [111011010] (9 cells, fase A,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,9);
          }
        if(numbertag==36)
          {
            // glider C1 [11111011111111000100110] (23 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,23);
          }
        if(numbertag==37)
          {
            // glider C1 [11111000111000000100110] (23 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,23);
          }
        if(numbertag==38)
          {
            // glider C1 [11111000100110100000110] (23 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,23);
          }
        if(numbertag==39)
          {
            // glider C2 [11111000000100110] (17 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,17);
          }
        if(numbertag==40)
          {
            // glider C2 [11111000100000110] (17 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,17);
          }
        if(numbertag==41)
          {
            // glider C2 [11111000100110000] (17 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,17);
          }
        if(numbertag==42)
          {
            // glider C2 [11100011000100110] (17 cells, fase A,f4_1)
            int cadena[] = {1,1,1,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,17);
          }
        if(numbertag==43)
          {
            // glider C2 [11111010011100110] (17 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,17);
          }
        if(numbertag==44)
          {
            // glider C2 [11111000111011010] (17 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,17);
          }
        if(numbertag==45)
          {
            // glider C2 [1111100010011011111111000100110] (31 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,31);
          }
        if(numbertag==46)
          {
            // glider C3 [11111011010] (17 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,17);
          }
        if(numbertag==47)
          {
            // glider C3 [1111100011111111000100110] (31 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,31);
          }
        if(numbertag==48)
          {
            // glider C3 [1111100010011000000100110] (31 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,31);
          }
        if(numbertag==49)
          {
            // glider C3 [11100000110] (17 cells, fase A,f4_1)
            int cadena[] = {1,1,1,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,17);
          }
        if(numbertag==50)
          {
            // glider C3 [11111010000] (17 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,17);
          }
        if(numbertag==51)
          {
            // glider C3 [1111100011100011000100110] (31 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,31);
          }
        if(numbertag==52)
          {
            // glider C3 [1111100010011010011100110] (31 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,31);
          }
        if(numbertag==53)
          {
            // glider D1 [11111000010] (11 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,11);
          }
        if(numbertag==54)
          {
            // glider D1 [1111100010001111000100110] (25 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,25);
          }
        if(numbertag==55)
          {
            // glider D1 [1111100010011001100100110] (25 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,25);
          }
        if(numbertag==56)
          {
            // glider D1 [11101110110] (11 cells, fase A,f4_1)
            int cadena[] = {1,1,1,0,1,1,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,11);
          }
        if(numbertag==57)
          {
            // glider D1 [1111101110111111000100110] (25 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,25);
          }
        if(numbertag==58)
          {
            // glider D1 [1111100011101110000100110] (25 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,25);
          }
        if(numbertag==59)
          {
            // glider D1 [1111100010011011101000110] (25 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,1,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,25);
          }
        if(numbertag==60)
          {
            // glider D1 [11111011100] (11 cells, fase C,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,11);
          }
        if(numbertag==61)
          {
            // glider D1 [1111100011101011000100110] (25 cells, fase C,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,25);
          }
        if(numbertag==62)
          {
            // glider D1 [1111100010011011111100110] (25 cells, fase C,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,25);
          }
        if(numbertag==63)
          {
            // glider D2 [1111101011000100110] (19 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==64)
          {
            // glider D2 [1111100011111100110] (19 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==65)
          {
            // glider D2 [1111100010011000010] (19 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==66)
          {
            // glider D2 [1110001111000100110] (19 cells, fase A,f4_1)
            int cadena[] = {1,1,1,0,0,0,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==67)
          {
            // glider D2 [1111101001100100110] (19 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==68)
          {
            // glider D2 [1111100011101110110] (19 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==69)
          {
            // glider D2 [111110001001101110111111000100110] (33 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,33);
          }
        if(numbertag==70)
          {
            // glider D2 [1111101110000100110] (19 cells, fase C,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==71)
          {
            // glider D2 [1111100011101000110] (19 cells, fase C,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==72)
          {
            // glider D2 [1111100010011011100] (19 cells, fase C,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==73)
          {
            // glider E [1111100000000100110] (19 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==74)
          {
            // glider E [1111100010000000110] (19 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==75)
          {
            // glider E [1111100010011000000] (19 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==76)
          {
            // glider E [1110000011000100110] (19 cells, fase A,f4_1)
            int cadena[] = {1,1,1,0,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==77)
          {
            // glider E [1111101000011100110] (19 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==78)
          {
            // glider E [1111100011100011010] (19 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==79)
          {
            // glider E [111110001001101001111111000100110] (33 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,33);
          }
        if(numbertag==80)
          {
            // glider E [1111101100000100110] (19 cells, fase C,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==81)
          {
            // glider E [1111100011110000110] (19 cells, fase C,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==82)
          {
            // glider E [1111100010011001000] (19 cells, fase C,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==83)
          {
            // glider E [1110110011000100110] (19 cells, fase C,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==84)
          {
            // glider E [1111101111011100110] (19 cells, fase D,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==85)
          {
            // glider E [1111100011100111010] (19 cells, fase D,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==86)
          {
            // glider E [1111100010011010110] (19 cells, fase D,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==87)
          {
            // glider E [1111111111000100110] (19 cells, fase D,f4_1)
            int cadena[] = {1,1,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==88)
          {
            // glider Ebar [111110000100011111010] (21 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,0,0,1,1,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==89)
          {
            // glider Ebar [111110001000110011000] (21 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==90)
          {
            // glider Ebar [11111000100110011101110011000100110] (35 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,1,0,1,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==91)
          {
            // glider Ebar [111011011101011100110] (21 cells, fase A,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,1,1,0,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==92)
          {
            // glider Ebar [111110111111011111010] (21 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,1,1,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==93)
          {
            // glider Ebar [111110001110000111000] (21 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==94)
          {
            // glider Ebar [11111000100110100011010011000100110] (35 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==95)
          {
            // glider Ebar [111110011111011100110] (21 cells, fase B,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==96)
          {
            // glider Ebar [111110001011000111010] (21 cells, fase C,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==97)
          {
            // glider Ebar [111110001001111100110] (21 cells, fase C,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==98)
          {
            // glider Ebar [111110001001101100010] (21 cells, fase C,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==99)
          {
            // glider Ebar [111111001111000100110] (21 cells, fase C,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==100)
          {
            // glider Ebar [111110000101100100110] (21 cells, fase D,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,1,1,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==101)
          {
            // glider Ebar [111110001000111110110] (21 cells, fase D,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,1,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==102)
          {
            // glider Ebar [11111000100110011000111111000100110] (35 cells, fase D,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,0,0,0,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==103)
          {
            // glider Ebar [111011100110000100110] (21 cells, fase D,f4_1)
            int cadena[] = {1,1,1,0,1,1,1,0,0,1,1,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==104)
          {
            // glider Ebar [111110111010111000110] (21 cells, fase E,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==105)
          {
            // glider Ebar [111110001110111110100] (21 cells, fase E,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,0,1,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==106)
          {
            // glider Ebar [11111000100110111000111011000100110] (35 cells, fase E,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,1,1,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==107)
          {
            // glider Ebar [111110100110111100110] (21 cells, fase F,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,0,1,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==108)
          {
            // glider Ebar [111110001110111110010] (21 cells, fase F,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==109)
          {
            // glider Ebar [11111000100110111000101111000100110] (35 cells, fase F,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,0,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==110)
          {
            // glider Ebar [111110100111100100110] (21 cells, fase G,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,1,1,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==111)
          {
            // glider Ebar [111110001110110010110] (21 cells, fase G,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,0,0,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==112)
          {
            // glider Ebar [11111000100110111101111111000100110] (35 cells, fase G,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==113)
          {
            // glider Ebar [111110011100000100110] (21 cells, fase G,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==114)
          {
            // glider Ebar [111110001011010000110] (21 cells, fase H,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==115)
          {
            // glider Ebar [111110001001111111000] (21 cells, fase H,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==116)
          {
            // glider Ebar [11111000100110110000010011000100110] (35 cells, fase H,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,0,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==117)
          {
            // glider Ebar [111111000011011100110] (21 cells, fase H,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,0,0,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,21);
          }
        if(numbertag==118)
          {
            // glider F [111110001011010] (15 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==119)
          {
            // glider F [11111000100111111111000100110] (29 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==120)
          {
            // glider F [11111000100110110000000100110] (29 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==121)
          {
            // glider F [111111000000110] (15 cells, fase A,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==122)
          {
            // glider F [111110000100000] (15 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==123)
          {
            // glider F [11111000100011000011000100110] (29 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==124)
          {
            // glider F [11111000100110011100011100110] (29 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,1,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==125)
          {
            // glider F [111011010011010] (15 cells, fase B,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==126)
          {
            // glider F [11111011111101111111000100110] (29 cells, fase C,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==127)
          {
            // glider F [11111000111000011100000100110] (29 cells, fase C,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==128)
          {
            // glider F [11111000100110100011010000110] (29 cells, fase C,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==129)
          {
            // glider F [111110011111000] (15 cells, fase C,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==130)
          {
            // glider F [11111000101100010011000100110] (29 cells, fase D,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,0,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==131)
          {
            // glider F [11111000100111110011011100110] (29 cells, fase D,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,0,0,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==132)
          {
            // glider F [11111000100110110001011111010] (29 cells, fase D,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,1,0,1,1,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==133)
          {
            // glider F [111111001111000] (15 cells, fase D,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,1,1,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==134)
          {
            // glider F [11111000010110010011000100110] (29 cells, fase E,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,1,1,0,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==135)
          {
            // glider F [11111000100011111011011100110] (29 cells, fase E,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,1,1,0,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==136)
          {
            // glider F [11111000100110011000111111010] (29 cells, fase E,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,0,0,0,1,1,1,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==137)
          {
            // glider F [111011100110000] (15 cells, fase E,f4_1)
            int cadena[] = {1,1,1,0,1,1,1,0,0,1,1,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==138)
          {
            // glider F [11111011101011100011000100110] (29 cells, fase F,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==139)
          {
            // glider F [11111000111011111010011100110] (29 cells, fase F,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,0,1,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==140)
          {
            // glider F [11111000100110111000111011010] (29 cells, fase F,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,1,1,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==141)
          {
            // glider F [11111010011011111111000100110] (29 cells, fase G,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,0,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==142)
          {
            // glider F [11111000111011111000000100110] (29 cells, fase G,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==143)
          {
            // glider F [11111000100110111000100000110] (29 cells, fase G,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==144)
          {
            // glider F [111110100110000] (15 cells, fase H,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==145)
          {
            // glider F [11111000111011100011000100110] (29 cells, fase H,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==146)
          {
            // glider F [11111000100110111010011100110] (29 cells, fase H,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,1,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==147)
          {
            // glider F [111110111011010] (15 cells, fase A2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==148)
          {
            // glider F [11111000111011111111000100110] (29 cells, fase A2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==149)
          {
            // glider F [11111000100110111000000100110] (29 cells, fase A2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==150)
          {
            // glider F [111110100000110] (15 cells, fase B2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==151)
          {
            // glider F [111110001110000] (15 cells, fase B2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==152)
          {
            // glider F [11111000100110100011000100110] (29 cells, fase B2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,29);
          }
        if(numbertag==153)
          {
            // glider F [111110011100110] (15 cells, fase B2,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,15);
          }
        if(numbertag==154)
          {
            // glider G [111110100111110011100110] (24 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,1,1,1,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==155)
          {
            // glider G [111110001110110001011010] (24 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,0,0,0,1,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==156)
          {
            // glider G [11111000100110111100111111111000100110] (38 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==157)
          {
            // glider G [111110010110000000100110] (24 cells, fase A,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,0,1,1,0,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==158)
          {
            // glider G [111110001011111000000110] (24 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==159)
          {
            // glider G [111110001001111000100000] (24 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,0,0,0,1,0,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==160)
          {
            // glider G [11111000100110110010011000011000100110] (38 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,1,0,0,1,1,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==161)
          {
            // glider G [111111011011100011100110] (24 cells, fase B,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,1,1,0,1,1,1,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==162)
          {
            // glider G [111110000111111010011010] (24 cells, fase C,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,1,1,1,1,1,0,1,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==163)
          {
            // glider G [11111000100011000011101111111000100110] (38 cells, fase C,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,0,0,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==164)
          {
            // glider G [11111000100110011100011011100000100110] (38 cells, fase C,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,1,0,0,0,1,1,0,1,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==165)
          {
            // glider G [111011010011111010000110] (24 cells, fase C,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,0,0,1,1,1,1,1,0,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==166)
          {
            // glider G [111110111111011000111000] (24 cells, fase D,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,1,1,0,0,0,1,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==167)
          {
            // glider G [11111000111000011110011010011000100110] (38 cells, fase D,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,1,0,0,1,1,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==168)
          {
            // glider G [11111000100110100011001011111011100110] (38 cells, fase D,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,0,1,0,1,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==169)
          {
            // glider G [111110011101111000111010] (24 cells, fase D,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,0,1,1,1,1,0,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==170)
          {
            // glider G [111110001011011100100110] (24 cells, fase E,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,1,1,1,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==171)
          {
            // glider G [111110001001111111010110] (24 cells, fase E,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,1,1,0,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==172)
          {
            // glider G [11111000100110110000011111111000100110] (38 cells, fase E,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==173)
          {
            // glider G [111111000011000000100110] (24 cells, fase E,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,0,0,1,1,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==174)
          {
            // glider G [111110000100011100000110] (24 cells, fase F,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,0,0,1,1,1,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==175)
          {
            // glider G [111110001000110011010000] (24 cells, fase F,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,1,1,0,1,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==176)
          {
            // glider G [11111000100110011101111100011000100110] (38 cells, fase F,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,1,0,1,1,1,1,1,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==177)
          {
            // glider G [111011011100010011100110] (24 cells, fase F,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,1,1,0,0,0,1,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==178)
          {
            // glider G [111110111111010011011010] (24 cells, fase G,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,1,0,0,1,1,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==179)
          {
            // glider G [11111000111000011101111111111000100110] (38 cells, fase G,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,0,1,1,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==180)
          {
            // glider G [11111000100110100011011100000000100110] (38 cells, fase G,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,1,1,1,0,0,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==181)
          {
            // glider G [111110011111010000000110] (24 cells, fase G,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,1,1,0,1,0,0,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==182)
          {
            // glider G [111110001011000111000000] (24 cells, fase H,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,0,0,1,1,1,0,0,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==183)
          {
            // glider G [11111000100111110011010000011000100110] (38 cells, fase H,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,0,0,1,1,0,1,0,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==184)
          {
            // glider G [11111000100110110001011111000011100110] (38 cells, fase H,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,1,0,1,1,1,1,1,0,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==185)
          {
            // glider G [111111001111000100011010] (24 cells, fase H,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,1,1,1,1,0,0,0,1,0,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==186)
          {
            // glider G [11111000010110010011001111111000100110] (38 cells, fase A2,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,1,1,0,0,1,0,0,1,1,0,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==187)
          {
            // glider G [11111000100011111011011101100000100110] (38 cells, fase A2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,1,1,0,1,1,0,1,1,1,0,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==188)
          {
            // glider G [11111000100110011000111111011110000110] (38 cells, fase A2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,0,0,0,1,1,1,1,1,1,0,1,1,1,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==189)
          {
            // glider G [111011100110000111001000] (24 cells, fase A2,f4_1)
            int cadena[] = {1,1,1,0,1,1,1,0,0,1,1,0,0,0,0,1,1,1,0,0,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==190)
          {
            // glider G [11111011101011100011010110011000100110] (38 cells, fase B2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,0,1,1,0,1,0,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==191)
          {
            // glider G [11111000111011111010011111111011100110] (38 cells, fase B2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,0,1,0,0,1,1,1,1,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==192)
          {
            // glider G [11111000100110111000111011000000111010] (38 cells, fase B2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==193)
          {
            // glider G [111110100110111100000110] (24 cells, fase C2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,0,1,1,1,1,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==194)
          {
            // glider G [111110001110111110010000] (24 cells, fase C2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,0,0,1,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,24);
          }
        if(numbertag==195)
          {
            // glider G [11111000100110111000101100011000100110] (38 cells, fase C2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,0,1,1,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,38);
          }
        if(numbertag==196)
          {
            // glider H [11111000101100000000111110001001101001111111000100110] (53 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,0,0,0,0,0,0,0,1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==197)
          {
            // glider H [11111000100111110000000110001001101111101100000100110] (53 cells, fase A,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0,1,1,1,1,1,0,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==198)
          {
            // glider H [11111000100110110001000000111001101111100011110000110] (53 cells, fase A,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,1,0,0,0,0,0,0,1,1,1,0,0,1,1,0,1,1,1,1,1,0,0,0,1,1,1,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==199)
          {
            // glider H [111111001100000110101111100010011001000] (39 cells, fase A,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,1,1,0,0,0,0,0,1,1,0,1,0,1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==200)
          {
            // glider H [11111000010111000011111110001001101110110011000100110] (53 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,1,1,1,0,0,0,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==201)
          {
            // glider H [11111000100011110100011000001001101111101111011100110] (53 cells, fase B,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,1,0,1,0,0,0,1,1,0,0,0,0,0,1,0,0,1,1,0,1,1,1,1,1,0,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==202)
          {
            // glider H [11111000100110011001110011100001101111100011100111010] (53 cells, fase B,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,0,0,1,1,1,0,0,1,1,1,0,0,0,0,1,1,0,1,1,1,1,1,0,0,0,1,1,1,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==203)
          {
            // glider H [111011101101011010001111100010011010110] (39 cells, fase B,f4_1)
            int cadena[] = {1,1,1,0,1,1,1,0,1,1,0,1,0,1,1,0,1,0,0,0,1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==204)
          {
            // glider H [11111011101111111111100110001001101111111111000100110] (53 cells, fase C,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0,1,1,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==205)
          {
            // glider H [11111000111011100000000010111001101111100000000100110] (53 cells, fase C,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,0,0,0,0,0,0,0,0,0,1,0,1,1,1,0,0,1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==206)
          {
            // glider H [11111000100110111010000000011110101111100010000000110] (53 cells, fase C,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,1,0,0,0,0,0,0,0,0,1,1,1,1,0,1,0,1,1,1,1,1,0,0,0,1,0,0,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==207)
          {
            // glider H [111110111000000011001111100010011000000] (39 cells, fase D,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,0,0,0,0,0,0,1,1,0,0,1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==208)
          {
            // glider H [11111000111010000001110110001001101110000011000100110] (53 cells, fase D,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,0,0,0,0,0,0,1,1,1,0,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==209)
          {
            // glider H [11111000100110111000001101111001101111101000011100110] (53 cells, fase D,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,0,0,1,1,0,1,1,1,1,0,0,1,1,0,1,1,1,1,1,0,1,0,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==210)
          {
            // glider H [111110100001111100101111100011100011010] (39 cells, fase E,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,0,0,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,1,1,1,0,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==211)
          {
            // glider H [11111000111000110001011110001001101001111111000100110] (53 cells, fase E,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,1,1,0,0,0,1,0,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==212)
          {
            // glider H [11111000100110100111001111001001101111101100000100110] (53 cells, fase E,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,1,1,1,0,0,1,1,1,1,0,0,1,0,0,1,1,0,1,1,1,1,1,0,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==213)
          {
            // glider H [111110110101100101101111100011110000110] (39 cells, fase F,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,0,1,0,1,1,0,0,1,0,1,1,0,1,1,1,1,1,0,0,0,1,1,1,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==214)
          {
            // glider H [111110001111111110111111100010011001000] (39 cells, fase F,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==215)
          {
            // glider H [11111000100110000000111000001001101110110011000100110] (53 cells, fase F,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,1,0,0,1,1,0,1,1,1,0,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==216)
          {
            // glider H [111000000110100001101111101111011100110] (39 cells, fase F,f4_1)
            int cadena[] = {1,1,1,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,0,1,1,1,1,1,0,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==217)
          {
            // glider H [111110100000111110001111100011100111010] (39 cells, fase G,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,0,0,0,1,1,1,1,1,0,0,0,1,1,1,1,1,0,0,0,1,1,1,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==218)
          {
            // glider H [111110001110000110001001100010011010110] (39 cells, fase G,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==219)
          {
            // glider H [11111000100110100011100110111001101111111111000100110] (53 cells, fase G,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,1,0,0,1,1,0,1,1,1,0,0,1,1,0,1,1,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==220)
          {
            // glider H [111110011010111110101111100000000100110] (39 cells, fase G,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,0,1,0,1,1,1,1,1,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==221)
          {
            // glider H [111110001011111110001111100010000000110] (39 cells, fase H,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,1,1,1,1,1,0,0,0,1,1,1,1,1,0,0,0,1,0,0,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==222)
          {
            // glider H [111110001001111000001001100010011000000] (39 cells, fase H,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,0,0,0,0,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0,0,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==223)
          {
            // glider H [11111000100110110010000110111001101110000011000100110] (53 cells, fase H,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,1,0,0,0,0,1,1,0,1,1,1,0,0,1,1,0,1,1,1,0,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==224)
          {
            // glider H [111111011000111110101111101000011100110] (39 cells, fase H,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,1,1,0,0,0,1,1,1,1,1,0,1,0,1,1,1,1,1,0,1,0,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==225)
          {
            // glider H [11111010011011110001111101101111101001111111000100110] (53 cells, fase A2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,0,1,1,1,1,0,0,0,1,1,1,1,1,0,1,1,0,1,1,1,1,1,0,1,0,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==226)
          {
            // glider H [11111000100011001011100110001001101001111111000100110] (53 cells, fase A2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,1,0,1,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0,1,0,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==227)
          {
            // glider H [11111000100110011101111010111001101111101100000100110] (53 cells, fase A2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,1,0,1,1,1,1,0,1,0,1,1,1,0,0,1,1,0,1,1,1,1,1,0,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==228)
          {
            // glider H [111011011100111110101111100011110000110] (39 cells, fase A2,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,1,1,0,0,1,1,1,1,1,0,1,0,1,1,1,1,1,0,0,0,1,1,1,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==229)
          {
            // glider H [111110100111111101011100011011111001000] (39 cells, fase B2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,1,1,1,1,1,0,1,0,1,1,1,0,0,0,1,1,0,1,1,1,1,1,0,0,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==230)
          {
            // glider H [11111000111000011111100110001001101110110011000100110] (53 cells, fase B2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,1,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==231)
          {
            // glider H [11111000100110100011000010111001101111101111011100110] (53 cells, fase B2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,0,0,0,1,0,1,1,1,0,0,1,1,0,1,1,1,1,1,0,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==232)
          {
            // glider H [111110011100011110101111100011100111010] (39 cells, fase B2,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,0,0,0,1,1,1,1,0,1,0,1,1,1,1,1,0,0,0,1,1,1,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==233)
          {
            // glider H [111110001011001101011111001011111100110] (39 cells, fase C2,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,0,1,1,0,1,0,1,1,1,1,1,0,0,1,0,1,1,1,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==234)
          {
            // glider H [11111000100111111101110110001001101111111111000100110] (53 cells, fase C2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,1,1,0,1,1,1,0,1,1,0,0,0,1,0,0,1,1,0,1,1,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==235)
          {
            // glider H [11111000100110110000011101111001101111100000000100110] (53 cells, fase C2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,0,0,1,1,1,0,1,1,1,1,0,0,1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==236)
          {
            // glider H [111111000011011100101111100010000000110] (39 cells, fase C2,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,0,0,1,1,0,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,1,0,0,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==237)
          {
            // glider H [111110000101111100011111101111101110110] (39 cells, fase D2,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,0,0,0,1,1,1,1,1,1,0,1,1,1,1,1,0,1,1,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==238)
          {
            // glider H [11111000100011001100011111001001101110000011000100110] (53 cells, fase D2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,1,1,0,0,0,1,1,1,1,1,0,0,1,0,0,1,1,0,1,1,1,0,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==239)
          {
            // glider H [11111000100110011101110011000101101111101000011100110] (53 cells, fase D2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,1,0,1,1,1,0,0,1,1,0,0,0,1,0,1,1,0,1,1,1,1,1,0,1,0,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==240)
          {
            // glider H [111011011101011100111111100011100011010] (39 cells, fase D2,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,1,1,0,1,0,1,1,1,0,0,1,1,1,1,1,1,1,0,0,0,1,1,1,0,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==241)
          {
            // glider H [111110111011111100011101100011100011100] (39 cells, fase E2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,1,1,1,1,1,0,0,0,1,1,1,0,1,1,0,0,0,1,1,1,0,0,0,1,1,1,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==242)
          {
            // glider H [11111000111000011100011111100001101111101100000100110] (53 cells, fase E2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,0,0,0,1,1,1,1,1,1,0,0,0,0,1,1,0,1,1,1,1,1,0,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==243)
          {
            // glider H [11111000100110100011010011000010001111100011110000110] (53 cells, fase E2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,1,0,0,1,1,0,0,0,0,1,0,0,0,1,1,1,1,1,0,0,0,1,1,1,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==244)
          {
            // glider H [111110011111011100011001100010011001000] (39 cells, fase E2,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,1,1,0,1,1,1,0,0,0,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0,0,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==245)
          {
            // glider H [111110111001111100010111100011100000010] (39 cells, fase F2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,0,1,1,1,1,1,0,0,0,1,0,1,1,1,1,0,0,0,1,1,1,0,0,0,0,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==246)
          {
            // glider H [11111000100111110011011101101110101111101111011100110] (53 cells, fase F2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,0,0,1,1,0,1,1,1,0,1,1,0,1,1,1,0,1,0,1,1,1,1,1,0,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==247)
          {
            // glider H [11111000100110110001011111011111101111100011100111010] (53 cells, fase F2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,1,0,1,1,1,1,1,0,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,1,1,1,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==248)
          {
            // glider H [111111001111000111000011100010011010110] (39 cells, fase F2,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,0,0,0,1,0,0,1,1,0,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==249)
          {
            // glider H [111110000101111110111111100010001110110] (39 cells, fase G2,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==250)
          {
            // glider H [11111000100011111011011111001111101111100000000100110] (53 cells, fase G2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,1,1,0,1,1,0,1,1,1,1,1,0,0,1,1,1,1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==251)
          {
            // glider H [11111000100110011000111111000101100011100010000000110] (53 cells, fase G2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,0,0,0,1,1,1,1,1,1,0,0,0,1,0,1,1,0,0,0,1,1,1,0,0,0,1,0,0,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==252)
          {
            // glider H [111011100110000100111110011010011000000] (39 cells, fase G2,f4_1)
            int cadena[] = {1,1,1,0,1,1,1,0,0,1,1,0,0,0,0,1,0,0,1,1,1,1,1,0,0,1,1,0,1,0,0,1,1,0,0,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==253)
          {
            // glider H [111110111011110110001001100011101001100] (39 cells, fase H2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,1,1,1,0,1,1,0,0,0,1,0,0,1,1,0,0,0,1,1,1,0,1,0,0,1,1,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==254)
          {
            // glider H [11111000111011111010011111100111100011101000011100110] (53 cells, fase H2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,0,1,0,0,1,1,1,1,1,1,0,0,1,1,1,1,0,0,0,1,1,1,0,1,0,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==255)
          {
            // glider H [11111000100110111000111011000010110010011011100011010] (53 cells, fase H2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,1,0,1,1,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==256)
          {
            // glider H [111110111111011110001111100011101110010] (39 cells, fase A3,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,1,1,1,1,0,0,0,1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==257)
          {
            // glider H [11111000111011111001001100011111100011101100000100110] (53 cells, fase A3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,0,0,1,0,0,1,1,0,0,0,1,1,1,1,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==258)
          {
            // glider H [11111000100110111000101101110011000010011011110000110] (53 cells, fase A3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,0,1,1,0,1,1,1,0,0,1,1,0,0,0,0,1,0,0,1,1,0,1,1,1,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==259)
          {
            // glider H [111110100111111101011100011011111001000] (39 cells, fase B3,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,1,1,1,1,1,0,1,0,1,1,1,0,0,0,1,1,0,1,1,1,1,1,0,0,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==260)
          {
            // glider H [11111000111011000001111101001111100010110011000100110] (53 cells, fase B3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,0,0,0,0,0,1,1,1,1,1,0,1,0,0,1,1,1,1,1,0,0,0,1,0,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==261)
          {
            // glider H [11111000100110111100001100011101100010011111011100110] (53 cells, fase B3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,1,0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,1,0,0,1,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==262)
          {
            // glider H [111110010001110011011110011011000111010] (39 cells, fase B3,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,0,0,0,1,1,1,0,0,1,1,0,1,1,1,1,0,0,1,1,0,1,1,0,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==263)
          {
            // glider H [111110001011001101011111001011111100110] (39 cells, fase C3,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,0,1,1,0,1,0,1,1,1,1,1,0,0,1,0,1,1,1,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==264)
          {
            // glider H [111110001001111101111111000101111000010] (39 cells, fase C3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,1,1,1,1,0,0,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==265)
          {
            // glider H [11111000100110110001110000010011110010001111000100110] (53 cells, fase C3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,1,1,1,0,0,0,0,0,1,0,0,1,1,1,1,0,0,1,0,0,0,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==266)
          {
            // glider H [111111001101000011011001011001100100110] (39 cells, fase C3,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,1,1,0,1,0,0,0,0,1,1,0,1,1,0,0,1,0,1,1,0,0,1,1,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==267)
          {
            // glider H [111110000101111100011111101111101110110] (39 cells, fase D3,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,0,0,0,1,1,1,1,1,1,0,1,1,1,1,1,0,1,1,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==268)
          {
            // glider H [11111000100011110001001100001110001110111111000100110] (53 cells, fase D3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,0,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==269)
          {
            // glider H [11111000100110011001001101110001101001101110000100110] (53 cells, fase D3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,1,0,1,0,0,1,1,0,1,1,1,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==270)
          {
            // glider H [111011101101111101001111101111101000110] (39 cells, fase D3,f4_1)
            int cadena[] = {1,1,1,0,1,1,1,0,1,1,0,1,1,1,1,1,0,1,0,0,1,1,1,1,1,0,1,1,1,1,1,0,1,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==271)
          {
            // glider H [111110111011111100011101100011100011100] (39 cells, fase E3,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,1,1,1,1,1,0,0,0,1,1,1,0,1,1,0,0,0,1,1,1,0,0,0,1,1,1,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==272)
          {
            // glider H [11111000111011100001001101111001101001101011000100110] (53 cells, fase E3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,0,0,0,0,1,0,0,1,1,0,1,1,1,1,0,0,1,1,0,1,0,0,1,1,0,1,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==273)
          {
            // glider H [11111000100110111010001101111100101111101111111100110] (53 cells, fase E3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,1,0,0,0,1,1,0,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,1,1,1,1,1,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==274)
          {
            // glider H [111110111001111100010111100011100000010] (39 cells, fase F3,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,0,1,1,1,1,1,0,0,0,1,0,1,1,1,1,0,0,0,1,1,1,0,0,0,0,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==275)
          {
            // glider H [11111000111010110001001111001001101000001111000100110] (53 cells, fase F3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,0,1,1,0,0,0,1,0,0,1,1,1,1,0,0,1,0,0,1,1,0,1,0,0,0,0,0,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==276)
          {
            // glider H [11111000100110111111001101100101101111100001100100110] (53 cells, fase F3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,1,1,1,0,0,1,1,0,1,1,0,0,1,0,1,1,0,1,1,1,1,1,0,0,0,0,1,1,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==277)
          {
            // glider H [111110000101111110111111100010001110110] (39 cells, fase G3,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==278)
          {
            // glider H [11111000100011110000111000001001100110111111000100110] (53 cells, fase G3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,1,0,0,0,0,1,1,1,0,0,0,0,0,1,0,0,1,1,0,0,1,1,0,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==279)
          {
            // glider H [11111000100110011001000110100001101110111110000100110] (53 cells, fase G3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,0,0,1,0,0,0,1,1,0,1,0,0,0,0,1,1,0,1,1,1,0,1,1,1,1,1,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==280)
          {
            // glider H [111011101100111110001111101110001000110] (39 cells, fase G3,f4_1)
            int cadena[] = {1,1,1,0,1,1,1,0,1,1,0,0,1,1,1,1,1,0,0,0,1,1,1,1,1,0,1,1,1,0,0,0,1,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==281)
          {
            // glider H [111110111011110110001001100011101001100] (39 cells, fase H3,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,1,1,1,0,1,1,0,0,0,1,0,0,1,1,0,0,0,1,1,1,0,1,0,0,1,1,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==282)
          {
            // glider H [11111000111011100111100110111001101110111011000100110] (53 cells, fase H3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,0,0,1,1,1,1,0,0,1,1,0,1,1,1,0,0,1,1,0,1,1,1,0,1,1,1,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==283)
          {
            // glider H [11111000100110111010110010111110101111101110111100110] (53 cells, fase H3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,1,0,1,1,0,0,1,0,1,1,1,1,1,0,1,0,1,1,1,1,1,0,1,1,1,0,1,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==284)
          {
            // glider H [111110111111011110001111100011101110010] (39 cells, fase A4,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,1,1,1,1,0,0,0,1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==285)
          {
            // glider H [11111000111000011100100110001001101110101111000100110] (53 cells, fase A4,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,0,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,1,0,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==286)
          {
            // glider H [11111000100110100011010110111001101111101111100100110] (53 cells, fase A4,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,1,0,1,1,0,1,1,1,0,0,1,1,0,1,1,1,1,1,0,1,1,1,1,1,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,53);
          }
        if(numbertag==287)
          {
            // glider H [111110011111111110101111100011100010110] (39 cells, fase A4,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,0,1,0,1,1,1,1,1,0,0,0,1,1,1,0,0,0,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,39);
          }
        if(numbertag==288)
          {
            // glider Gun [11111010110011101001100101111100000100110] (41 cells, fase A,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,1,1,0,0,1,1,1,0,1,0,0,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==289)
          {
            // glider Gun [00111111011011101110111100010000110] (35 cells, fase A,f2_1)
            int cadena[] = {0,0,1,1,1,1,1,1,0,1,1,0,1,1,1,0,1,1,1,0,1,1,1,1,0,0,0,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==290)
          {
            // glider Gun [11100110000111111011101110010011000] (35 cells, fase A,f3_1)
            int cadena[] = {1,1,1,0,0,1,1,0,0,0,0,1,1,1,1,1,1,0,1,1,1,0,1,1,1,0,0,1,0,0,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==291)
          {
            // glider Gun [11100011000011101110101101110011000100110] (41 cells, fase A,f4_1)
            int cadena[] = {1,1,1,0,0,0,1,1,0,0,0,0,1,1,1,0,1,1,1,0,1,0,1,1,0,1,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==292)
          {
            // glider Gun [11111010011100011011101111111101011100110] (41 cells, fase B,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,1,0,0,0,1,1,0,1,1,1,0,1,1,1,1,1,1,1,1,0,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==293)
          {
            // glider Gun [00111011010011111011100000011111010] (35 cells, fase B,f2_1)
            int cadena[] = {0,0,1,1,1,0,1,1,0,1,0,0,1,1,1,1,1,0,1,1,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==294)
          {
            // glider Gun [11100110111111011000111010000011000] (35 cells, fase B,f3_1)
            int cadena[] = {1,1,1,0,0,1,1,0,1,1,1,1,1,1,0,1,1,0,0,0,1,1,1,0,1,0,0,0,0,0,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==295)
          {
            // glider Gun [11111000011110011011100001110011000100110] (41 cells, fase C,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,1,1,1,0,0,1,1,0,1,1,1,0,0,0,0,1,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==296)
          {
            // glider Gun [11111000100011001011111010001101011100110] (41 cells, fase C,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,1,0,1,1,1,1,1,0,1,0,0,0,1,1,0,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==297)
          {
            // glider Gun [00100110011101111000111001111111010] (35 cells, fase C,f3_1)
            int cadena[] = {0,0,1,0,0,1,1,0,0,1,1,1,0,1,1,1,1,0,0,0,1,1,1,0,0,1,1,1,1,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==298)
          {
            // glider Gun [111011011100100110101100000] (27 cells, fase C,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,1,1,0,0,1,0,0,1,1,0,1,0,1,1,0,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,27);
          }
        if(numbertag==299)
          {
            // glider Gun [11111011111101011011111111000011000100110] (41 cells, fase D,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,1,0,1,1,0,1,1,1,1,1,1,1,1,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==300)
          {
            // glider Gun [11111000111000011111111000000100011100110] (41 cells, fase D,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,1,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==301)
          {
            // glider Gun [00100110100011000000100000110011010] (35 cells, fase D,f3_1)
            int cadena[] = {0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,0,0,0,0,0,1,0,0,0,0,0,1,1,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==302)
          {
            // glider Gun [11111001110000011000011101111111000100110] (41 cells, fase D,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,0,0,0,0,0,1,1,0,0,0,0,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==303)
          {
            // glider Gun [11111000101101000011100011011100000100110] (41 cells, fase E,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,1,0,0,0,0,1,1,1,0,0,0,1,1,0,1,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==304)
          {
            // glider Gun [11111000100111111100011010011111010000110] (41 cells, fase E,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,1,1,0,0,0,1,1,0,1,0,0,1,1,1,1,1,0,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==305)
          {
            // glider Gun [00100110110000010011111011000111000] (35 cells, fase E,f3_1)
            int cadena[] = {0,0,1,0,0,1,1,0,1,1,0,0,0,0,0,1,0,0,1,1,1,1,1,0,1,1,0,0,0,1,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==306)
          {
            // glider Gun [11111100001101100011110011010011000100110] (41 cells, fase E,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,0,0,1,1,0,1,1,0,0,0,1,1,1,1,0,0,1,1,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==307)
          {
            // glider Gun [11111000010001111110011001011111011100110] (41 cells, fase F,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,0,0,1,1,1,1,1,1,0,0,1,1,0,0,1,0,1,1,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==308)
          {
            // glider Gun [11111000100011001100001011101111000111010] (41 cells, fase F,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,1,1,0,0,0,0,1,0,1,1,1,0,1,1,1,1,0,0,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==309)
          {
            // glider Gun [00100110011101110001111011100100110] (35 cells, fase F,f3_1)
            int cadena[] = {0,0,1,0,0,1,1,0,0,1,1,1,0,1,1,1,0,0,0,1,1,1,1,0,1,1,1,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==310)
          {
            // glider Gun [111011011101001100111010110] (27 cells, fase F,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,1,1,0,1,0,0,1,1,0,0,1,1,1,0,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,27);
          }
        if(numbertag==311)
          {
            // glider Gun [11111011111101110111011011111111000100110] (41 cells, fase G,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,1,1,1,0,1,1,1,0,1,1,0,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==312)
          {
            // glider Gun [11111000111000011101110111111000000100110] (41 cells, fase G,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,0,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==313)
          {
            // glider Gun [00100110100011011101110000100000110] (35 cells, fase G,f3_1)
            int cadena[] = {0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,1,1,1,0,1,1,1,0,0,0,0,1,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==314)
          {
            // glider Gun [111110011111011101000110000] (27 cells, fase G,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,1,1,0,1,1,1,0,1,0,0,0,1,1,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,27);
          }
        if(numbertag==315)
          {
            // glider Gun [11111000101100011101110011100011000100110] (41 cells, fase H,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,0,0,1,1,1,0,1,1,1,0,0,1,1,1,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==316)
          {
            // glider Gun [11111000100111110011011101011010011100110] (41 cells, fase H,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,0,0,1,1,0,1,1,1,0,1,0,1,1,0,1,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==317)
          {
            // glider Gun [00100110110001011111011111111011010] (35 cells, fase H,f3_1)
            int cadena[] = {0,0,1,0,0,1,1,0,1,1,0,0,0,1,0,1,1,1,1,1,0,1,1,1,1,1,1,1,1,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==318)
          {
            // glider Gun [11111100111100011100000011111111000100110] (41 cells, fase H,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,1,1,1,1,0,0,0,1,1,1,0,0,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==319)
          {
            // glider Gun [11111000010110010011010000011000000100110] (41 cells, fase A2,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,1,1,0,0,1,0,0,1,1,0,1,0,0,0,0,0,1,1,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==320)
          {
            // glider Gun [11111000100011111011011111000011100000110] (41 cells, fase A2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,1,1,0,1,1,0,1,1,1,1,1,0,0,0,0,1,1,1,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==321)
          {
            // glider Gun [00100110011000111111000100011010000] (35 cells, fase A2,f3_1)
            int cadena[] = {0,0,1,0,0,1,1,0,0,1,1,0,0,0,1,1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,1,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==322)
          {
            // glider Gun [11101110011000010011001111100011000100110] (41 cells, fase A2,f4_1)
            int cadena[] = {1,1,1,0,1,1,1,0,0,1,1,0,0,0,0,1,0,0,1,1,0,0,1,1,1,1,1,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==323)
          {
            // glider Gun [11111011101011100011011101100010011100110] (41 cells, fase B2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,0,1,1,0,1,1,1,0,1,1,0,0,0,1,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==324)
          {
            // glider Gun [11111000111011111010011111011110011011010] (41 cells, fase B2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,0,1,0,0,1,1,1,1,1,0,1,1,1,1,0,0,1,1,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==325)
          {
            // glider Gun [0010011011100011101100011100101111111111000100110] (49 cells, fase B2,f3_1)
            int cadena[] = {0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,1,1,0,1,1,0,0,0,1,1,1,0,0,1,0,1,1,1,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,49);
          }
        if(numbertag==326)
          {
            // glider Gun [11111010011011110011010111100000000100110] (41 cells, fase C2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,0,1,1,1,1,0,0,1,1,0,1,0,1,1,1,1,0,0,0,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==327)
          {
            // glider Gun [11111000111011111001011111110010000000110] (41 cells, fase C2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,0,0,1,0,1,1,1,1,1,1,1,0,0,1,0,0,0,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==328)
          {
            // glider Gun [11111000100110111000101111000001011000000] (41 cells, fase C2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,0,1,1,1,1,0,0,0,0,0,1,0,1,1,0,0,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==329)
          {
            // glider Gun [11111010011110010000111110000011000100110] (41 cells, fase D2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,1,1,1,1,0,0,1,0,0,0,0,1,1,1,1,1,0,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==330)
          {
            // glider Gun [11111000111011001011000110001000011100110] (41 cells, fase D2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,0,0,1,0,1,1,0,0,0,1,1,0,0,0,1,0,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==331)
          {
            // glider Gun [11111000100110111101111100111001100011010] (41 cells, fase D2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,1,0,1,1,1,1,1,0,0,1,1,1,0,0,1,1,0,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==332)
          {
            // glider Gun [11111001110001011010111001111111000100110] (41 cells, fase D2,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,0,0,0,1,0,1,1,0,1,0,1,1,1,0,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==333)
          {
            // glider Gun [11111000101101001111111110101100000100110] (41 cells, fase E2,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,1,0,0,1,1,1,1,1,1,1,1,1,0,1,0,1,1,0,0,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==334)
          {
            // glider Gun [11111000100111111101100000001111110000110] (41 cells, fase E2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,1,1,0,1,1,0,0,0,0,0,0,0,1,1,1,1,1,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==335)
          {
            // glider Gun [11111000100110110000011110000001100001000] (41 cells, fase E2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,1,1,0,0,0,0,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==336)
          {
            // glider Gun [11111100001100100000111000110011000100110] (41 cells, fase E2,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,0,0,1,1,0,0,1,0,0,0,0,0,1,1,1,0,0,0,1,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==337)
          {
            // glider Gun [11111000010001110110000110100111011100110] (41 cells, fase F2,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,0,0,1,1,1,0,1,1,0,0,0,0,1,1,0,1,0,0,1,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==338)
          {
            // glider Gun [11111000100011001101111000111110110111010] (41 cells, fase F2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,0,0,1,1,0,1,1,1,1,0,0,0,1,1,1,1,1,0,1,1,0,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==339)
          {
            // glider Gun [11111000100110011101111100100110001111110] (41 cells, fase F2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,1,0,1,1,1,1,1,0,0,1,0,0,1,1,0,0,0,1,1,1,1,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==340)
          {
            // glider Gun [11101101110001011011100110000111000100110] (41 cells, fase F2,f4_1)
            int cadena[] = {1,1,1,0,1,1,0,1,1,1,0,0,0,1,0,1,1,0,1,1,1,0,0,1,1,0,0,0,0,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==341)
          {
            // glider Gun [11111011111101001111111010111000110100110] (41 cells, fase G2,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,1,1,1,0,1,0,0,1,1,1,1,1,1,1,0,1,0,1,1,1,0,0,0,1,1,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==342)
          {
            // glider Gun [11111000111000011101100000111110100] (35 cells, fase G2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,0,0,1,1,1,0,1,1,0,0,0,0,0,1,1,1,1,1,0,1,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==343)
          {
            // glider Gun [1111100010011010001101111000011000111011000111000100110] (55 cells, fase G2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,0,0,1,1,0,1,1,1,1,0,0,0,0,1,1,0,0,0,1,1,1,0,1,1,0,0,0,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,55);
          }
        if(numbertag==344)
          {
            // glider Gun [11111001111100100011100110111100110100110] (41 cells, fase G2,f4_1)
            int cadena[] = {1,1,1,1,1,0,0,1,1,1,1,1,0,0,1,0,0,0,1,1,1,0,0,1,1,0,1,1,1,1,0,0,1,1,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,41);
          }
        if(numbertag==345)
          {
            // glider Gun [11111000101100010110011010111110010] (35 cells, fase H2,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,1,1,0,0,0,1,0,1,1,0,0,1,1,0,1,0,1,1,1,1,1,0,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==346)
          {
            // glider Gun [1111100010011111001111101111111000101111000111000100110] (55 cells, fase H2,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,1,1,1,0,0,1,1,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,1,1,1,1,0,0,0,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,55);
          }
        if(numbertag==347)
          {
            // glider Gun [1111100010011011000101100011100000100111100100110100110] (55 cells, fase H2,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,0,0,0,1,0,1,1,0,0,0,1,1,1,0,0,0,0,0,1,0,0,1,1,1,1,0,0,1,0,0,1,1,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,55);
          }
        if(numbertag==348)
          {
            // glider Gun [11111100111110011010000110110010110] (35 cells, fase H2,f4_1)
            int cadena[] = {1,1,1,1,1,1,0,0,1,1,1,1,1,0,0,1,1,0,1,0,0,0,0,1,1,0,1,1,0,0,1,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==349)
          {
            // glider Gun [1111100001011000101111100011111101111111000111000100110] (55 cells, fase A3,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,1,0,1,1,0,0,0,1,0,1,1,1,1,1,0,0,0,1,1,1,1,1,1,0,1,1,1,1,1,1,1,0,0,0,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,55);
          }
        if(numbertag==350)
          {
            // glider Gun [1111100010001111100111100010011000011100000100110100110] (55 cells, fase A3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,1,1,1,1,1,0,0,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,0,1,1,1,0,0,0,0,0,1,0,0,1,1,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,55);
          }
        if(numbertag==351)
          {
            // glider Gun [1111100010011001100010110010011011100011010000110] (49 cells, fase A3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,1,1,0,0,0,1,0,1,1,0,0,1,0,0,1,1,0,1,1,1,0,0,0,1,1,0,1,0,0,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,49);
          }
        if(numbertag==352)
          {
            // glider Gun [11101110011111011011111010011111000] (35 cells, fase A3,f4_1)
            int cadena[] = {1,1,1,0,1,1,1,0,0,1,1,1,1,1,0,1,1,0,1,1,1,1,1,0,1,0,0,1,1,1,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==353)
          {
            // glider Gun [1111101110101100011111100011101100010011000100110100110] (55 cells, fase B3,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,1,1,0,1,0,1,1,0,0,0,1,1,1,1,1,1,0,0,0,1,1,1,0,1,1,0,0,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,55);
          }
        if(numbertag==354)
          {
            // glider Gun [1111100011101111110011000010011011110011011100110] (49 cells, fase B3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,1,1,1,1,1,1,0,0,1,1,0,0,0,0,1,0,0,1,1,0,1,1,1,1,0,0,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,49);
          }
        if(numbertag==355)
          {
            // glider Gun [1111100010011011100001011100011011111001011111010] (49 cells, fase B3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,1,1,0,0,0,0,1,0,1,1,1,0,0,0,1,1,0,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,49);
          }
        if(numbertag==356)
          {
            // glider Gun [11111010001111010011111000101111000] (35 cells, fase C3,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,0,0,1,1,1,1,0,1,0,0,1,1,1,1,1,0,0,0,1,0,1,1,1,1,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==357)
          {
            // glider Gun [1111100011100110011101100010011110010011000100110] (49 cells, fase C3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,1,1,0,0,1,1,0,0,1,1,1,0,1,1,0,0,0,1,0,0,1,1,1,1,0,0,1,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,49);
          }
        if(numbertag==358)
          {
            // glider Gun [1111100010011010111011011110011011001011011100110] (49 cells, fase C3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,1,0,1,1,1,0,1,1,0,1,1,1,1,0,0,1,1,0,1,1,0,0,1,0,1,1,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,49);
          }
        if(numbertag==359)
          {
            // glider Gun [11111110111111001011111101111111010] (35 cells, fase C3,f4_1)
            int cadena[] = {1,1,1,1,1,1,1,0,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,1,0,1,1,1,1,1,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==360)
          {
            // glider Gun [11111000001110000101111000011100000] (35 cells, fase D3,f1_1)
            int cadena[] = {1,1,1,1,1,0,0,0,0,0,1,1,1,0,0,0,0,1,0,1,1,1,1,0,0,0,0,1,1,1,0,0,0,0,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,35);
          }
        if(numbertag==361)
          {
            // glider Gun [1111100010000110100011110010001101000011000100110] (49 cells, fase D3,f2_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,0,0,1,1,0,1,0,0,0,1,1,1,1,0,0,1,0,0,0,1,1,0,1,0,0,0,0,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,49);
          }
        if(numbertag==362)
          {
            // glider Gun [1111100010011000111110011001011001111100011100110] (49 cells, fase D3,f3_1)
            int cadena[] = {1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,1,1,1,1,1,0,0,1,1,0,0,1,0,1,1,0,0,1,1,1,1,1,0,0,0,1,1,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,49);
          }
        if(numbertag==363)
          {
            // glider Gun [11100110001011101111101100010011010] (35 cells, fase D3,f4_1)
            int cadena[] = {1,1,1,0,0,1,1,0,0,0,1,0,1,1,1,0,1,1,1,1,1,0,1,1,0,0,0,1,0,0,1,1,0,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,19);
          }
        if(numbertag==364)
          {
            // glider Gun [1111101011100111101110001111001101111111000100110] (49 cells, fase E3,f1_1)
            int cadena[] = {1,1,1,1,1,0,1,0,1,1,1,0,0,1,1,1,1,0,1,1,1,0,0,0,1,1,1,1,0,0,1,1,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0};
            int *fase=cadena;
            // asignar fase
            asignar_fase(fase,49);
          }
      }
}

// Limpia variables y el view
-(void)deleteString
{
    int i;
    int flag;

    if(xx != 0)
      {
        flag = contador[xx-1];
        for(i=flag;i>0;i--)
            initial_ring[posY-i] = 0;
        xx--;
        posY = posY - flag;
      }
}

// Traer la cadena editada en consoleStrings
- (void)setStringAppend:(const char *)cadenaCapturada:(int)longitudCadena
{
    char aux[250];
    int i;

    for(i=0;i<longitudCadena;i++)
      {
        aux[i] = cadenaCapturada[i];
        if(aux[i]=='0')
            initial_ring[posY+i] = 0;
        if(aux[i]=='1')
            initial_ring[posY+i] =1;
      }
    //printf("\ncadena = %s, lonjitud = %d",cadenaCapturada,longitudCadena);
    posY = posY + longitudCadena;
    contador[xx] = longitudCadena;
    xx++;
}

@end
